Method: projects.locations.brands.evaluationCases.create

Creates an EvaluationCase.

HTTP request

POST https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/evaluationCases

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent brand, which owns this collection of evaluation cases. Format: projects/{project}/locations/{location}/brands/{brand}

Query parameters

Parameters
evaluationCaseId

string

Optional. The ID to use for the evaluation case, which will become the final component of the evaluation case's resource name.

This value should only contain lower-case letters, numbers, and hyphen, with the first and last character a letter or a number, and a 63 character maximum.

Request body

The request body contains an instance of EvaluationCase.

Response body

If successful, the response body contains a newly created instance of EvaluationCase.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.